<!--

/**
 * Description:    Script pour afficher un menu autognratif en JavaScript
 * Version:        1.9.3
 * Auteur:         Fisch Bob [fesch@gmx.net] (2001)
 * Fonctionalits: - possibilit de valider/invalider des entres dans le menu
 *                   par ligne de commande du type "?mode=xyz" o xyz est le nom
 *                   du mode pass comme 4ime paramtre  la fonction makeDiv()
 *                 - possibilit de choisir si le menu s'affiche  de gauche 
 *                   droite ou du haut vers le bas, en utilisant la variable $style
 *                 - possibilit de choisir le timeout pour rendre visibles les
 *                   menus sortie,  l'aide de la variable $timeout
 *                 - possibilit de dfinir le comportement du menu contextuel
 *                    travers la variable $menu
 *                 - possibilit de dfinir une image arrire fonds pour les menus.
 *                 - DIV clickable.
 */

/**
 * Variables de configuration
 */
var style   = 3              // 1 = left, 2 = top
var menu    = 1              // 1 = hide, 2 = disable
var timeout = 3000;
var menus   = 0;
var top     = 3;
var left    = 9;
var heights = new Array(22 ,22 ,25);
var widths  = new Array(120,180,100);
var spaces  = new Array(2  ,-1  ,-1);
var bgh     = new Array('#FF8855','#C8C8C8','#C8C8C8');
var bgs     = new Array('#8855FF','#8855FF','#008080');
var colover ='#D3FA96';
var lowfont  = '#444444';
var highfont = '#444444';
var disfont  = '#444444';
var levels  = new Array(0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  );
var levelc  = new Array();
var coloru  = new Array();
var colors  = new Array();
var backgrs = new Array();
var parentd  = new Array();
var opened  = new Array();
var oDiv    = new Array();
var lefts   = new Array();
var tops    = new Array();
var isClick = new Array();
var classo  = new Array();
var classi  = new Array();
var tmpLeft = left;
var parentdleft = 0;
var ligneBreak = '<hr>';
var closeMenu = window.setTimeout('divShow(-2)','1');
var i_colo  = '#FFFFFF';
var loadNew = 0;

/**
 * Get MODE-Parameter
 */
getUrl=document.URL+'';
if(getUrl.indexOf('mode=')>0)
{
 paraMode=getUrl.substr(getUrl.indexOf('mode=')+5);
 if(paraMode.indexOf('&')>0) paraMode=paraMode.substring(0,paraMode.indexOf('&'));
}
else
{
 paraMode='';
}

/**
 * Code
 */
NS4 = (document.layers) ? 1 : 0;
IE4 = (document.all) ? 1 : 0;
dom = document.getElementById ? 1 : 0;
if (NS4) document.captureEvents(Event.MOUSEUP);

function init()
{
 for(nr=0;nr<menus;nr++)
 {
     oDiv[nr]=new makeObj('div'+nr);

     if(isClick[nr]==1)
     {
      oDiv[nr].evnt.onmouseover = divShow;
      oDiv[nr].evnt.onmouseout = divHide;
      if (NS4) oDiv[nr].evnt.onmouseout = divHide;
     }

     if(levelc[nr]==0)
     {
      oDiv[nr].css.visibility='visible';
     }
     else
     {
      oDiv[nr].css.visibility='hidden';
     }
 }
}

function reinit()
{
 with (navigator) if ((appName=="Netscape")&&(parseInt(appVersion)==4)) {window.history.go(0)}
}


function divShow(div)
{
 window.clearTimeout(closeMenu);

 if(this.id && div!=0)
 {
  divid = this.id.replace("div", "");
  divid = Number(divid);
 }
 else divid = -1;

 if(div!=-2)
 {
  for(m=0;m<menus;m++)
  {
   if(levelc[m]>0)
   {
    test = (parentd[m]==divid);           //div.M is child of THIS
    nr=parentd[divid];
    while(nr>=0)
    {
     test = test || (parentd[m]==nr);    // or --> parentd.M in List
     nr=parentd[nr];
    }
    /// These to lines are slow in NS6 or MOZ
    if (test) oDiv[m].css.visibility="visible"
    else oDiv[m].css.visibility="hidden";
   }
  }
 }

 if(divid>=0 && div!=0)
 {
  this.className=classi[levelc[divid]];
  if (IE4 || dom)
  {
   this.style.backgroundColor=colors[divid];
//   if (dom && !IE4) document.getElementById('link'+divid).style.color=highfont;
//   if (IE4) document.all['link'+divid].style.color=highfont;
  }

  if (NS4)
  {
   var x = div.layerX;
   var y = div.layerY;
   this.bgColor =colors[divid];
  }

  if(div!=-1) closeMenu = window.setTimeout('divShow(-1)',timeout);
 }
}

function divHideAll()
{
  for(m=0;m<menus;m++)
  {
   if(levelc[m]>0) oDiv[m].css.visibility="hidden"
   else oDiv[m].css.visibility="visible";
  }
}


function divHide(div)
{
 divid = this.id.replace("div", "");
 divid = Number(divid);
 this.className=classo[levelc[divid]];

 if (IE4 || dom)
 {
  this.style.backgroundColor=coloru[divid];
//   if (dom && !IE4) document.getElementById('link'+divid).style.color=lowfont;
//   if (IE4) document.all['link'+divid].style.color=lowfont;
 }

 if (NS4)
 {
  var x = div.layerX;
  var y = div.layerY;
  this.bgColor = coloru[divid];
 }
}

function makeObj(obj)
{
    if (dom)
    {
     this.evnt=document.getElementById(obj);
     this.css=document.getElementById(obj).style;
    }
    if (IE4)
    {
     this.evnt=document.all[obj];
     this.css=document.all[obj].style;
    }
    if (NS4)
    {
     this.evnt=eval('document.'+obj);
     this.css=eval('document.'+obj);
    }
}

function makeDivColorIntern(level,text,link,mode,color_u,color_s,color_i)
{
 loadNew=0;
 i_color=color_i;
 makeDivColor(level,text,link,mode,color_u,color_s);
}

function makeDivColorNew(level,text,link,mode,color_u,color_s)
{
 loadNew=1;
 bgh[level]=color_u;
 bgs[level]=color_s;
 makeDiv(level,text,link,mode);
}

function makeDivColor(level,text,link,mode,color_u,color_s)
{
 loadNew=0;
 bgh[level]=color_u;
 bgs[level]=color_s;
 makeDiv(level,text,link,mode);
}

function makeDivBackground(level,text,link,mode,background)
{
 loadNew=0;
 backgrs[level]=background;
 makeDiv(level,text,link,mode);
}

iconToLoad = '';

function makeDivIcon(level,text,link,mode,icon)
{
 loadNew=0;
 iconToLoad=icon;
 makeDiv(level,text,link,mode);
}

function makeDivColorIconIntern(level,text,link,mode,color_u,color_s,color_i,icon)
{
 loadNew=0;
 i_color=color_i;
 makeDivColorIcon(level,text,link,mode,color_u,color_s,icon);
}

function makeDivColorIconClassesWidth(level,text,link,mode,color_u,color_s,icon,classover,classout,width)
{
 widths[level]=width;
 makeDivColorIconClasses(level,text,link,mode,color_u,color_s,icon,classover,classout);
}

function makeDivColorIconClasses(level,text,link,mode,color_u,color_s,icon,classover,classout)
{
 loadNew=0;
 iconToLoad=icon;
 classo[level]=classover;
 classi[level]=classout;
 bgh[level]=color_u;
 bgs[level]=color_s;
 makeDiv(level,text,link,mode);
}

function makeDivColorIcon(level,text,link,mode,color_u,color_s,icon)
{
 loadNew=0;
 iconToLoad=icon;
 bgh[level]=color_u;
 bgs[level]=color_s;
 makeDiv(level,text,link,mode);
}

function loadURL(URL)
{
 window.location.href=URL;
}

function openURL(URL)
{
 open(URL,'_URL_','height=0, left=0, location=yes, fullscreen=no, menubar=no, resizable=yes, scrollbars=yes, toolbar=yes, status=yes, top=0, width=0');
}

function makeDiv(level,text,link,mode)
{
 getUrl=document.URL+'';
if(menu==2 || mode=='' || getUrl.indexOf('mode='+mode)>0)
{

 nr=menus;
 menus++;
 coloru[nr]=bgh[level];
 colors[nr]=bgs[level];

 if(mode=='' && text!=ligneBreak) isClick[nr]=1
 else if(getUrl.indexOf('mode='+mode)==-1) isClick[nr]=0
      else isClick[nr]=1;


 levelc[nr]=level;

 parentd[nr]=-2;
 p=(nr-1);
 while((parentd[nr]==-2) && (p>=0))
 {
  if(levelc[p]<level) parentd[nr]=p;
  p--;
 }

 levels[level+1]=0;
 levels[level]++;
 differ=top+0;

 /**
  * Left
  */
  if(style==1)
  {
   for(l=0;l<=level;l++) differ+=((levels[(level-l)]-1)*(heights[level-l]+spaces[level-l]));
   leftgo=left;
   for(l=level-1;l>=0;l--) leftgo+=widths[l]+spaces[l];
  }

 /**
  * Top
  */
  if(style==2)
  {
   if (level>0)
   {
    if(levelc[parentd[nr]]!=0) differ+=tops[parentd[nr]]-top
    else differ+=heights[level-1]+spaces[level-1];
    differ+=((heights[level]+spaces[level])*(levels[level]-1))
   }
   tops[nr]=differ;

   if(level==0)
   {
    leftgo=left+(widths[level]+spaces[level])*(levels[level]-1);
    parentdleft=leftgo;
   }
   else
   {
    if(levelc[parentd[nr]]!=0)
    {
     leftgo=parentdleft;
     for(l=level-1;l>0;l--) leftgo+=widths[l]+spaces[l];
    }
    else leftgo=parentdleft;
   }
  }

 /**
  * Top selfsizing (use only with ...Width)
  */
  if(style==3)
  {
   if (level>0)
   {
    if(levelc[parentd[nr]]!=0) differ+=tops[parentd[nr]]-top
    else differ+=heights[level-1]+spaces[level-1];
    differ+=((heights[level]+spaces[level])*(levels[level]-1))
   }
   tops[nr]=differ;

   if(level==0)
   {
    leftgo=tmpLeft;
    tmpLeft=leftgo+Number(widths[level])+spaces[level];
//    alert(leftgo+' - '+tmpLeft);
    parentdleft=leftgo;
   }
   else
   {
    if(levelc[parentd[nr]]!=0)
    {
     leftgo=parentdleft;
     for(l=level-1;l>0;l--) leftgo+=widths[l]+spaces[l];
    }
    else leftgo=parentdleft;
   }
  }

 if(level==0)
 {
  doc += '<DIV ID="div'+nr+'" STYLE="position:absolute; left:'+leftgo+'px; top:'+differ+'px; width:'+widths[level];
  doc += 'px; height:'+heights[level]+'px; ';
  doc += 'visibility:hidden; z-index:'+level+'; ';
  if(iconToLoad!='')
  {
   doc += 'cursor:pointer; ';
  }
  doc += 'background-color: '+coloru[nr]+'; layer-background-color: '+coloru[nr]+'" onClick="loadURL(\''+link+'\')" ';
  doc += 'class="'+classo[level]+'">\n';

  doc += '<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="1" WIDTH="'+widths[level]+'" ';
  doc += 'HEIGHT="'+heights[level]+'">';
  doc += '<TR>';

  doc += '<td align="center" valign="center" width="5"><img src="Pictures/Layout/transparent.png"></td>';

  doc += '<TD bgcolor="'+bgh[level]+'" valign="center" width="100%" ';
  doc += 'HEIGHT="100%"';
  doc += ' onMouseover="(document.layers) ? this.bgcolor=\''+bgs[level]+'\' : this.style.backgroundColor=\''+bgs[level]+'\'"';
  doc += ' onMouseout ="(document.layers) ? this.bgcolor=\''+bgh[level]+'\' : this.style.backgroundColor=\''+bgh[level]+'\'"';
  if(isClick[nr]==1) doc += 'onClick="loadURL(\''+link+'\')" style="cursor:pointer"';
  doc += '>\n';

  doc += '<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">';
  doc += ' <tr>';
  if(iconToLoad!='')
  {
   doc += '<td align="right" valign="center" width="5" style="  text-align:right; alignment:right;"';
   doc += '><img src="'+iconToLoad+'" border="0"></td>';
  }
  doc += '  <td align="left" valign="center" width="auto">';

  if(isClick[nr]==1)
  {
   doc += '<A ID="link'+nr+'" HREF="'+link+'" STYLE="text-decoration:none; color:'+lowfont+'; font-weight:bold; ';
   doc += 'font-family:Verdana, Arial; font-size:12px;">';
  }
  else
  {
   doc += '<SPAN ID="link'+nr+'" HREF="'+link+'" STYLE="text-decoration:none; color:'+disfont+'; font-weight:bold; ';
   doc += 'font-family:Verdana, Arial; font-size:12px;">';
  }
  doc += '&nbsp;'+text+'\n';
  if (isClick[nr]==1) doc += '</A>\n'
  else doc += "</SPAN>\n"

  doc += '  </td>';
  doc += ' </tr>';
  doc += '</table>';

  doc += '</TD>';
  doc += '</TR></TABLE>\n';

  doc += '</DIV>\n';
 }

 if(level>=1)
 {
  doc += '<DIV ID="div'+nr+'" STYLE="position:absolute; left:'+leftgo+'px; top:'+differ+'px;  width:'+widths[level];
  doc += 'px; height:'+heights[level]+'px; ';
  doc += 'visibility:hidden; z-index:'+level+'; ';
  if(iconToLoad!='')
  {
   doc += 'cursor:pointer; ';
  }
  doc += 'background-color: '+coloru[nr]+'; layer-background-color: '+coloru[nr]+'" onClick="loadURL(\''+link+'\')" ';
  doc += 'class="'+classo[level]+'">\n';

  doc += '<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="1" WIDTH="'+widths[level]+'" HEIGHT="'+heights[level]+'">';
  doc += '<TR>';

  doc += '<td align="center" valign="center" width="5"><img src="Pictures/Layout/transparent.png"></td>';

  doc += '<TD bgcolor="'+bgh[level]+'" valign="center" width="100%" HEIGHT="100%"';
  doc += ' onMouseover="(document.layers) ? this.bgcolor=\''+bgs[level]+'\' : this.style.backgroundColor=\''+bgs[level]+'\'"';
  doc += ' onMouseout ="(document.layers) ? this.bgcolor=\''+bgh[level]+'\' : this.style.backgroundColor=\''+bgh[level]+'\'"';
  if(isClick[nr]==1) doc += 'onClick="loadURL(\''+link+'\')" style="cursor:pointer"';
  doc += '>\n';

  doc += '<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">';
  doc += ' <tr>';
  if(iconToLoad!='')
  {
   doc += '<td align="right" valign="center" width="5" style="  text-align:right; alignment:right;"';
   doc += '><img src="'+iconToLoad+'" border="0"></td>';
  }
  doc += '  <td align="left" valign="center" width="auto">';

  if(isClick[nr]==1)
  {
   doc += '<A ID="link'+nr+'" HREF="'+link+'" STYLE="text-decoration:none; color:'+lowfont+'; font-weight:normal; ';
   doc += 'font-family:Verdana, Arial; font-size:12px;">';
  }
  else
  {
   doc += '<SPAN ID="link'+nr+'" HREF="'+link+'" STYLE="text-decoration:none; color:'+disfont+'; font-weight:normal; ';
   doc += 'font-family:Verdana, Arial; font-size:12px;">';
  }
  doc += '&nbsp;'+text+'\n';
  if (isClick[nr]==1) doc += '</A>\n'
  else doc += "</SPAN>\n"

  doc += '  </td>';
  doc += ' </tr>';
  doc += '</table>';

  doc += '</TD>';
  doc += '</TR></TABLE>\n';

  doc += '</DIV>\n';
 }

}
}
/**
 * Menu Creation
 */
// Init doc
doc = '<div ID="netscapeFakeDiv" style="position:absolute"></div>';

// Create Menu
                                             //43521C
// makeDivColorIconClassesWidth(0,'Logout                   ','index.php?include=logout&mode='+paraMode,'','#C8C8C8','#B6BDD2','Pictures/Menu/logout.png','DivMouseOut','DivMouseOver','70');


/*
 makeDivColorIconClassesWidth(0,'Gestion','#','admin','#C8C8C8','#B6BDD2','Pictures/Menu/users.png','DivMouseOut','DivMouseOver','100');
  makeDivColorIconClasses(1,'Types','index.php?include=types_liste&check=admin&mode='+paraMode,'admin','#C8C8C8','#B6BDD2','Pictures/Menu/users.png','DivMouseOutSecond','DivMouseOverSecond');
  makeDivColorIconClasses(1,'Participants','index.php?include=participants_liste&check=admin&mode='+paraMode,'admin','#C8C8C8','#B6BDD2','Pictures/Menu/users.png','DivMouseOutSecond','DivMouseOverSecond');
  makeDivColorIconClasses(1,'Cours','index.php?include=cours_liste&check=admin&mode='+paraMode,'admin','#C8C8C8','#B6BDD2','Pictures/Menu/users.png','DivMouseOutSecond','DivMouseOverSecond');
  makeDivColorIconClasses(1,'Occupations','index.php?include=occupes_liste&check=admin&mode='+paraMode,'admin','#C8C8C8','#B6BDD2','Pictures/Menu/users.png','DivMouseOutSecond','DivMouseOverSecond');
  makeDivColorIconClasses(1,'Sances','index.php?include=seances_liste&check=admin&mode='+paraMode,'admin','#C8C8C8','#B6BDD2','Pictures/Menu/users.png','DivMouseOutSecond','DivMouseOverSecond');

 makeDivColorIconClassesWidth(0,'Fonctions','#','admin','#C8C8C8','#B6BDD2','Pictures/Menu/users.png','DivMouseOut','DivMouseOver','100');
  makeDivColorIconClasses(1,'Payement facture','index.php?include=pay_fac&check=admin&mode='+paraMode,'admin','#C8C8C8','#B6BDD2','Pictures/Menu/users.png','DivMouseOutSecond','DivMouseOverSecond');

 makeDivColorIconClassesWidth(0,'Site','#','admin','#C8C8C8','#B6BDD2','Pictures/Menu/users.png','DivMouseOut','DivMouseOver','70');
  makeDivColorIconClasses(1,'Catgories','index.php?include=categories_liste&check=admin&mode='+paraMode,'admin','#C8C8C8','#B6BDD2','Pictures/Menu/users.png','DivMouseOutSecond','DivMouseOverSecond');
  makeDivColorIconClasses(1,'Links','index.php?include=links_liste&check=admin&mode='+paraMode,'admin','#C8C8C8','#B6BDD2','Pictures/Menu/users.png','DivMouseOutSecond','DivMouseOverSecond');
  makeDivColorIconClasses(1,'News','index.php?include=news_liste&check=admin&mode='+paraMode,'admin','#C8C8C8','#B6BDD2','Pictures/Menu/users.png','DivMouseOutSecond','DivMouseOverSecond');

 makeDivColorIconClassesWidth(0,'Database','#','admin','#C8C8C8','#B6BDD2','Pictures/Menu/users.png','DivMouseOut','DivMouseOver','100');
  makeDivColorIconClasses(1,'Backup','index.php?include=db_dump&check=admin&mode='+paraMode,'admin','#C8C8C8','#B6BDD2','Pictures/Menu/classeur.png','DivMouseOutSecond','DivMouseOverSecond');
//  makeDivColorIconClasses(1,'Fill (!!)','index.php?include=db_fill&check=admin&mode='+paraMode,'admin','#C8C8C8','#B6BDD2','Pictures/Menu/classeur.png','DivMouseOutSecond','DivMouseOverSecond');
  makeDivColorIconClasses(1,'SQL','index.php?include=db_sql&check=admin&mode='+paraMode,'admin','#C8C8C8','#B6BDD2','Pictures/Menu/classeur.png','DivMouseOutSecond','DivMouseOverSecond');
  makeDivColorIconClasses(1,'CSV','index.php?include=db_csv&check=admin&mode='+paraMode,'admin','#C8C8C8','#B6BDD2','Pictures/Menu/classeur.png','DivMouseOutSecond','DivMouseOverSecond');
  makeDivColorIconClasses(1,'XML','index.php?include=db_xml&check=admin&mode='+paraMode,'admin','#C8C8C8','#B6BDD2','Pictures/Menu/classeur.png','DivMouseOutSecond','DivMouseOverSecond');
  makeDivColorIconClasses(1,'phpMyAdmin','phpMyAdmin/index.php','admin','#C8C8C8','#B6BDD2','Pictures/Menu/classeur.png','DivMouseOutSecond','DivMouseOverSecond');

 makeDivColorIconClassesWidth(0,'Reports','index.php?include=reports&check=admin&mode='+paraMode,'admin','#C8C8C8','#B6BDD2','Pictures/Menu/users.png','DivMouseOut','DivMouseOver','100');

 makeDivColorIconClassesWidth(0,'Mails','index.php?include=mail&check=admin&mode='+paraMode,'admin','#C8C8C8','#B6BDD2','Pictures/Menu/users.png','DivMouseOut','DivMouseOver','100');

 // Write doc
document.write(doc);*/
//document.write('---<div onmouseover="this.className=\'DivMouseOver\'">test</div>');
//init();

//-->

