<?php

  function table_write_header_link($text,$link)
  {
   if($link!='')
   {
    $code = '
    <td class="TableHeaderOuter">
     <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
      <tr>
       <td class="TableHeaderInner" onClick="location.href=\''.$link.'\'" style="cursor:pointer">
        <span class="text"><b>'.$text.'</b></span>
       </td>
      </tr>
     </table>
    </td>
    ';
   }
   else
   {
    $code = table_write_header($text);
   }
   return $code;
  }

  function table_write_headers_width($text,$width)
  {
   if($width!='')
   {
    $code = '
    <td class="TableHeaderOuter" width="'.$width.'">
     <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
      <tr>
       <td class="TableHeaderInner" width="'.$width.'">
        <span class="text"><b>'.$text.'</b></span>
       </td>
      </tr>
     </table>
    </td>
    ';
   }
   else
   {
    $code = table_write_header($text);
   }
   return $code;
  }

  function table_write_header($text)
  {
   $code = '
    <td class="TableHeaderOuter">
     <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
      <tr>
       <td class="TableHeaderInner">
        <span class="text"><b>'.$text.'</b></span>
       </td>
      </tr>
     </table>
    </td>
   ';
   return $code;
  }

  function table_write_cell($text)
  {
   if($text=='')
   {
    $text='&nbsp;';
   }
/*
    onmouseover="this.className=\'TableCellOver\'"
    onmouseout="this.className=\'TableCell\'"
*/
   $code='
    <td class="TableCell" bgcolor="#FFFFFF">
     <span class="text">'.$text.'</span>
    </td>
   ';
   return $code;
  }

  function table_write_headers_widths($headers,$widths)
  {
   $code = "<tr>";
   $count=0;
   foreach($headers as $header)
   {
    $code .= table_write_headers_width($header,$widths[$count]);
    $count++;
   }
   $code .= "</tr>";
   return $code;
  }

  function table_write_headers_links($headers,$links)
  {
   $code = "<tr>";
   $count=0;
   foreach($headers as $header)
   {
    $code .= table_write_header_link($header,$links[$count]);
    $count++;
   }
   $code .= "</tr>";
   return $code;
  }

  function table_write_headers($headers)
  {
   $code = "<tr>";
   foreach($headers as $header)
   {
    $code .= table_write_header($header);
   }
   $code .= "</tr>";
   return $code;
  }

  function table_write_cells($cells)
  {
   $code = '<tr class="TableRow"';
/*   $code.= " onmouseover=\"this.className='TableRowOver'\"
             onmouseout=\"this.className='TableRow'\"";*/
   $code.= " onmouseover=\"setPointer(this, 'over', '#FFFFFF', '#ACD1F6', '#FAA8A8')\"
             onmouseout=\"setPointer(this, 'out', '#FFFFFF', '#ACD1F6', '#FAA8A8')\"
             onmousedown=\"setPointer(this, 'click', '#FFFFFF', '#ACD1F6', '#FAA8A8')\"";
   $code.= ">";
   foreach($cells as $cell)
   {
    $code .= table_write_cell($cell);
   }
   $code .= "</tr>";
   return $code;
  }

  function table_write_cells_simple($cells)
  {
   $code = '<tr class="TableRow">';
   foreach($cells as $cell)
   {
    $code .= table_write_cell($cell);
   }
   $code .= "</tr>";
   return $code;
  }

  function table_write($table)
  {
   $code = '
  <table border="0" cellpadding="0" cellspacing="0" width="100%" class="TableOuter">
   <tr>
    <td>
  <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%" class="TableInner">
   ';
   $table=array_reverse($table);
   $headers=array_pop($table);
   $table=array_reverse($table);
   $code .= table_write_headers($headers);
   foreach($table as $lines)
   {
    $code .= table_write_cells($lines);
   }
   $code .= '
  </table>
    </td>
   </tr>
  </table>
   ';
   return $code;
  }

  function table_write_links($table,$links)
  {
   $code = '
  <table border="0" cellpadding="0" cellspacing="0" width="100%" class="TableOuter">
   <tr>
    <td>
  <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%" class="TableInner">
   ';
   $table=array_reverse($table);
   $headers=array_pop($table);
   $table=array_reverse($table);
   $code .= table_write_headers_links($headers,$links);
   foreach($table as $lines)
   {
    $code .= table_write_cells($lines);
   }
   $code .= '
  </table>
    </td>
   </tr>
  </table>
   ';
   return $code;
  }

  function table_write_widths($table,$widths)
  {
   $code = '
  <table border="0" cellpadding="0" cellspacing="0" width="100%" class="TableOuter">
   <tr>
    <td>
  <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%" class="TableInner">
   ';
   $table=array_reverse($table);
   $headers=array_pop($table);
   $table=array_reverse($table);
   $code .= table_write_headers_widths($headers,$widths);
   foreach($table as $lines)
   {
    $code .= table_write_cells($lines);
   }
   $code .= '
  </table>
    </td>
   </tr>
  </table>
   ';
   return $code;
  }

  function table_write_widths_simple($table,$widths)
  {
   $code = '
  <table border="0" cellpadding="0" cellspacing="0" width="100%" class="TableOuter">
   <tr>
    <td>
  <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%" class="TableInner">
   ';
   $table=array_reverse($table);
   $headers=array_pop($table);
   $table=array_reverse($table);
   $code .= table_write_headers_widths($headers,$widths);
   foreach($table as $lines)
   {
    $code .= table_write_cells_simple($lines);
   }
   $code .= '
  </table>
    </td>
   </tr>
  </table>
   ';
   return $code;
  }
?>
<script>
/**
 * Sets/unsets the pointer and marker in browse mode
 *
 * @param   object   the table row
 * @param   string   the action calling this script (over, out or click)
 * @param   string   the default background color
 * @param   string   the color to use for mouseover
 * @param   string   the color to use for marking a row
 *
 * @return  boolean  whether pointer is set or not
 */
function setPointer(theRow, theAction, theDefaultColor, thePointerColor, theMarkColor)
{
    var theCells = null;

    // 1. Pointer and mark feature are disabled or the browser can't get the
    //    row -> exits
    if ((thePointerColor == '' && theMarkColor == '')
        || typeof(theRow.style) == 'undefined') {
        return false;
    }

    // 2. Gets the current row and exits if the browser can't get it
    if (typeof(document.getElementsByTagName) != 'undefined') {
        theCells = theRow.getElementsByTagName('td');
    }
    else if (typeof(theRow.cells) != 'undefined') {
        theCells = theRow.cells;
    }
    else {
        return false;
    }

    // 3. Gets the current color...
    var rowCellsCnt  = theCells.length;
    var domDetect    = null;
    var currentColor = null;
    var newColor     = null;
    // 3.1 ... with DOM compatible browsers except Opera that does not return
    //         valid values with "getAttribute"
    if (typeof(window.opera) == 'undefined'
        && typeof(theCells[0].getAttribute) != 'undefined') {
        currentColor = theCells[0].getAttribute('bgcolor');
        domDetect    = true;
    }
    // 3.2 ... with other browsers
    else {
        currentColor = theCells[0].style.backgroundColor;
        domDetect    = false;
    } // end 3

    // 4. Defines the new color
    // 4.1 Current color is the default one
    if (currentColor == ''
        || currentColor.toLowerCase() == theDefaultColor.toLowerCase()) {
        if (theAction == 'over' && thePointerColor != '') {
            newColor = thePointerColor;
        }
        else if (theAction == 'click' && theMarkColor != '') {
            newColor = theMarkColor;
        }
    }
    // 4.1.2 Current color is the pointer one
    else if (currentColor.toLowerCase() == thePointerColor.toLowerCase()) {
        if (theAction == 'out') {
            newColor = theDefaultColor;
        }
        else if (theAction == 'click' && theMarkColor != '') {
            newColor = theMarkColor;
        }
    }
    // 4.1.3 Current color is the marker one
    else if (currentColor.toLowerCase() == theMarkColor.toLowerCase()) {
        if (theAction == 'click') {
            newColor = (thePointerColor != '')
                     ? thePointerColor
                     : theDefaultColor;
        }
    } // end 4

    // 5. Sets the new color...
    if (newColor) {
        var c = null;
        // 5.1 ... with DOM compatible browsers except Opera
        if (domDetect) {
            for (c = 0; c < rowCellsCnt; c++) {
                theCells[c].setAttribute('bgcolor', newColor, 0);
            } // end for
        }
        // 5.2 ... with other browsers
        else {
            for (c = 0; c < rowCellsCnt; c++) {
                theCells[c].style.backgroundColor = newColor;
            }
        }
    } // end 5

    return true;
} // end of the 'setPointer()' function
</script>